# Jaxer.DirUtils : Object
Return to: Jaxer Framework index

This is a utility class that wraps XPCOM directory/folder utility functions

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.DirUtils Constructor() : Jaxer.DirUtils Directory Utility helper object | Show Details | 1.0 | no

### Jaxer.DirUtils() : Jaxer.DirUtils

Directory Utility helper object

Returns

Jaxer.DirUtils | Returns an instance of DirUtils.

## Properties

Property | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
current : String Return the path to the current folder the process is running from. | No Details | 1.0 | no

desktopDir : String Returns the deskTop Folder of the current user. | No Details | 1.0 | no

getHome : String Returns the home folder of the current user. | No Details | 1.0 | no

temp : String Returns the Jaxer temp Folder. | No Details | 1.0 | no

aptana_docs